# -*- coding: utf-8 -*-
#$Id: testDocTest.py 62 2006-03-01 07:12:03Z taka $

#
# ATCTSSTestCase DocTests
#

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))


def setUp(self):
    '''This method will run after the test_class' setUp.

    >>> import Acquisition
    >>> from Globals import INSTANCE_HOME
    '''
    try:
        # disable COREBlog2 standard output.
        import Products.COREBlog2
    except:
        pass


def test_suite():
    from Testing.ZopeTestCase import ZopeDocTestSuite
    from Testing.ZopeTestCase import ZopeDocFileSuite
    from unittest import TestSuite
    return TestSuite((
        ZopeDocTestSuite(setUp=setUp),
        ZopeDocFileSuite('../content/smallcontent.py', setUp=setUp),
    ))


if __name__ == '__main__':
    framework()

